summaryrefslogtreecommitdiff
path: root/dist/debian/prerm
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2015-10-31 10:53:09 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2015-10-31 10:53:09 +0100
commit4a871c0fcfc4afecd5514c992c40f707905078e4 (patch)
treed5acfae9c44e81f10f2d04e8c4dfdb2dcb5e3b1c /dist/debian/prerm
parent856097e283eb5d4825bd2cf34ae66c47c9e0b7ba (diff)
downloadnagios-plugin-curl-4a871c0fcfc4afecd5514c992c40f707905078e4.tar.gz
nagios-plugin-curl-4a871c0fcfc4afecd5514c992c40f707905078e4.tar.bz2
some renames and synched package building with version used in pgfuse
Diffstat (limited to 'dist/debian/prerm')
-rw-r--r--dist/debian/prerm40
1 files changed, 40 insertions, 0 deletions
diff --git a/dist/debian/prerm b/dist/debian/prerm
new file mode 100644
index 0000000..4a35ed3
--- /dev/null
+++ b/dist/debian/prerm
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Debian prerm script for nagios-plugin-curl
+
+# Author: Andreas Baumann <mail@andreasbaumann.cc>
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+# bail out on any error
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0